npm-dev:
    extends: .install-pnpm-package
    only:
        - dev

composer-dev:
    extends: .install-composer-package
    only:
        - dev

zx-dev:
    extends: .tools-zx-package
    needs:
        - npm-dev
    only:
        - dev

phpcsfixer-dev:
    extends: .lint-phpcsfixer-package
    needs:
        - composer-dev
    only:
        - dev

pest-dev:
    extends: .test-pest-package-coverage-db
    needs:
        - composer-dev
    before_script:
        - vendor/bin/phinx migrate -e ci
        - vendor/bin/phinx migrate -e ci-postgres
    only:
        - dev

phpstan-dev:
    extends: .code-analysis-phpstan-package
    needs:
        - composer-dev
    only:
        - dev

docs-dev:
    extends: .docs-build-package
    needs:
        - npm-dev
    only:
        - dev

merge-release:
    extends: .merge-release-package
    needs:
        - composer-dev
        - npm-dev
        - zx-dev
        - phpcsfixer-dev
        - pest-dev
        - phpstan-dev
        - docs-dev
    variables:
        PACKAGE_PREFIX: nano-modules-
    only:
        - dev
